Index: /branches/2016/dev_r6409_SIMPLIF_2_usrdef_tools/NEMOGCM/NEMO/OPA_SRC/DOM/domhgr.F90
===================================================================
--- /branches/2016/dev_r6409_SIMPLIF_2_usrdef_tools/NEMOGCM/NEMO/OPA_SRC/DOM/domhgr.F90	(revision 6826)
+++ /branches/2016/dev_r6409_SIMPLIF_2_usrdef_tools/NEMOGCM/NEMO/OPA_SRC/DOM/domhgr.F90	(revision 6827)
@@ -377,11 +377,13 @@
       CASE ( 0, 1, 4 )               ! mesh on the sphere
          !
-         ff(:,:) = 2. * omega * SIN( rad * gphif(:,:) ) 
+         ff_f(:,:) = 2. * omega * SIN( rad * gphif(:,:) ) 
+         ff_t(:,:) = 2. * omega * SIN( rad * gphit(:,:) )     !    -        -       - at t-point
          !
       CASE ( 2 )                     ! f-plane at ppgphi0 
          !
-         ff(:,:) = 2. * omega * SIN( rad * ppgphi0 )
-         !
-         IF(lwp) WRITE(numout,*) '          f-plane: Coriolis parameter = constant = ', ff(1,1)
+         ff_f(:,:) = 2. * omega * SIN( rad * ppgphi0 )
+         ff_t(:,:) = 2. * omega * SIN( rad * ppgphi0 )
+         !
+         IF(lwp) WRITE(numout,*) '          f-plane: Coriolis parameter = constant = ', ff_f(1,1)
          !
       CASE ( 3 )                     ! beta-plane
@@ -399,14 +401,15 @@
          zf0     = 2. * omega * SIN( rad * zphi0 )                              ! compute f0 1st point south
          !
-         ff(:,:) = ( zf0  + zbeta * gphif(:,:) * 1.e+3 )                        ! f = f0 +beta* y ( y=0 at south)
+         ff_f(:,:) = ( zf0  + zbeta * gphif(:,:) * 1.e+3 )                        ! f = f0 +beta* y ( y=0 at south)
+         ff_t(:,:) = ( zf0  + zbeta * gphit(:,:) * 1.e+3 )                        ! f = f0 +beta* y ( y=0 at south)
          !
          IF(lwp) THEN
             WRITE(numout,*) 
-            WRITE(numout,*) '          Beta-plane: Beta parameter = constant = ', ff(nldi,nldj)
-            WRITE(numout,*) '          Coriolis parameter varies from ', ff(nldi,nldj),' to ', ff(nldi,nlej)
+            WRITE(numout,*) '          Beta-plane: Beta parameter = constant = ', ff_f(nldi,nldj)
+            WRITE(numout,*) '          Coriolis parameter varies from ', ff_f(nldi,nldj),' to ', ff_f(nldi,nlej)
          ENDIF
          IF( lk_mpp ) THEN 
-            zminff=ff(nldi,nldj)
-            zmaxff=ff(nldi,nlej)
+            zminff=ff_f(nldi,nldj)
+            zmaxff=ff_f(nldi,nlej)
             CALL mpp_min( zminff )   ! min over the global domain
             CALL mpp_max( zmaxff )   ! max over the global domain
@@ -420,15 +423,16 @@
          zf0   = 2. * omega * SIN( rad * zphi0 )                            ! compute f0 1st point south
          !
-         ff(:,:) = ( zf0 + zbeta * ABS( gphif(:,:) - zphi0 ) * rad * ra )   ! f = f0 +beta* y ( y=0 at south)
+         ff_f(:,:) = ( zf0 + zbeta * ABS( gphif(:,:) - zphi0 ) * rad * ra )   ! f = f0 +beta* y ( y=0 at south)
+         ff_t(:,:) = ( zf0 + zbeta * ABS( gphit(:,:) - zphi0 ) * rad * ra )   ! f = f0 +beta* y ( y=0 at south)
          !
          IF(lwp) THEN
             WRITE(numout,*) 
             WRITE(numout,*) '          Beta-plane and rotated domain : '
-            WRITE(numout,*) '          Coriolis parameter varies in this processor from ', ff(nldi,nldj),' to ', ff(nldi,nlej)
+            WRITE(numout,*) '          Coriolis parameter varies in this processor from ', ff_f(nldi,nldj),' to ', ff_f(nldi,nlej)
          ENDIF
          !
          IF( lk_mpp ) THEN 
-            zminff=ff(nldi,nldj)
-            zmaxff=ff(nldi,nlej)
+            zminff=ff_f(nldi,nldj)
+            zmaxff=ff_f(nldi,nlej)
             CALL mpp_min( zminff )   ! min over the global domain
             CALL mpp_max( zmaxff )   ! max over the global domain
